Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Interface PortalRequest

public interface PortalRequest

The PortalRequest is synonymous with the HttpServletRequest it only lives the life of the http request. The PortalRequest has references to the PortalContext, Portal, PortalState, HttpServletRequest and PortalAppflowEvent.

Field Summary
`static java.lang.String` | `KEY` The HttpServletRequest parameter key to which the PortalRequest is stored.

Method Summary
`Portal` | `getPortal()` Retrieve an instance of the Portal definition.
`PortalAppflowEvent` | `getPortalAppflowEvent()` Retrieve the last appflow event.
`PortalContext` | `getPortalContext()` Retrieve an instance of the portalContext.
`PortalSession` | `getPortalSession()` Creates a PortalSession.
`PortalState` | `getPortalState()` Retrieve an instance of the PortalState.
`javax.servlet.http.HttpServletRequest` | `getServletRequest()` Return a reference the the HttpServletRequest.

Field Detail

### KEY

    public static final java.lang.String KEY

  The HttpServletRequest parameter key to which the PortalRequest is stored.

Method Detail

### getServletRequest

    public javax.servlet.http.HttpServletRequest getServletRequest()

  Return a reference the the HttpServletRequest.

### getPortalSession

    public PortalSession getPortalSession()

  Creates a PortalSession. If one already exist in the HttpSession then that will be returned, otherwise a new one will be created. This method just delegates to PortalAppflowFactory.createPortalSession(request).

  See Also:
    `PortalAppflowFactory.createPortalSession(HttpServletRequest)`

### getPortalContext

    public PortalContext getPortalContext()

  Retrieve an instance of the portalContext.

### getPortalAppflowEvent

    public PortalAppflowEvent getPortalAppflowEvent()

  Retrieve the last appflow event.

  See Also:
    `com.bea.portal.PortalAppflowEvent`

### getPortal

    public Portal getPortal()

  Retrieve an instance of the Portal definition.

  See Also:
    `Portal`

### getPortalState

    public PortalState getPortalState()

  Retrieve an instance of the PortalState. The Portal state differs from the Portal object in that all the personalization and entitlements have been applied. The Portal object just represents the portal definition in the .portal xml file.

  See Also:
    `Portal`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved